// $Id: AcpiOptions.h,v 1.15 2014/02/10 10:34:30 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Color.h"
#include "File.h"
#include "Util.h"
#include "XmlOptions.h"

//_____________________________________________________
//! Default options installer
void installAcpiOptions( void )
{

    XmlOptions::get().setAutoDefault( true );
    XmlOptions::get().set<int>( "TIMEOUT", 10000 );
    XmlOptions::get().set<Base::Color>( "NORMAL_COLOR", QColor( "#00aa00" ) );
    XmlOptions::get().set<Base::Color>( "LOW_COLOR", QColor( "#ff8800" ) );
    XmlOptions::get().set<Base::Color>( "CRITICAL_COLOR", QColor( "#aa0000" ) );
    XmlOptions::get().set<bool>( "SHOW_LABEL", true );

    XmlOptions::get().set<int>( "LOW_THRESHOLD", 25 );
    XmlOptions::get().set<int>( "CRITICAL_THRESHOLD", 10 );

    XmlOptions::get().set( "RC_FILE", Option( File(".transparent-acpirc").addPath( Util::home() ), Option::None ) );

}
