// $Id: CalendarCell.cpp,v 1.4 2014/02/10 10:07:45 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

/*!
\file    CalendarCell.cpp
\brief   simple cell in calendar
\author  Hugo Pereira
\version $Revision: 1.4 $
\date    $Date: 2014/02/10 10:07:45 $
*/

#include "CalendarCell.h"
#include "RoundedPath.h"
namespace Calendar
{


    //______________________________________________________________________
    Cell::Cell( QDate date, QRectF rect ):
        Counter( "Calendar::Cell" ),
        date_( date ),
        enabled_( true ),
        rect_( rect ),
        path_( RoundedPath( rect ) )
    {}

}
