// $Id: CalendarOptions.h,v 1.25 2014/02/10 10:34:30 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Color.h"
#include "File.h"
#include "Util.h"
#include "XmlOptions.h"

//_____________________________________________________
//! Default options installer
void installCalendarOptions( void )
{

    XmlOptions::get().setAutoDefault( true );
    XmlOptions::get().set( "ADJUST_TIME_CMD", Option( " ", "adjust time" ) );
    XmlOptions::get().set<bool>( "ALWAYS_USE_CMD", false );

    XmlOptions::get().set<Base::Color>( "CURRENT_DAY_COLOR", QColor( "#aa0000" ) );
    XmlOptions::get().set<Base::Color>( "MARKED_DAY_COLOR", QColor( "#00679b" ) );

    XmlOptions::get().set<bool>( "SHOW_PAST_TAGS", false );
    XmlOptions::get().set<bool>( "SHOW_WEEK_NUMBERS", true );
    XmlOptions::get().set<bool>( "SHOW_INVALID_DAYS", true );

    XmlOptions::get().set( "SMTP_HOST", "Undefined" );
    XmlOptions::get().set<int>( "SMTP_PORT", 25 );
    XmlOptions::get().set( "SMTP_SENDER", "Undefined" );
    XmlOptions::get().set( "SMTP_RECIPIENT", "Undefined" );

    XmlOptions::get().set( "RC_FILE", Option( File(".transparent-calendarrc").addPath( Util::home() ), Option::None ) );

    XmlOptions::get().setAutoDefault( false );
}
