// $Id: Anchor.cpp,v 1.7 2014/04/29 15:59:07 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Anchor.h"

#include <QObject>
#include <cassert>

//________________________________________________
QString Anchor::horizontalAlignmentName( AlignmentFlags value )
{
    if( value & Left ) return QObject::tr( "Left" );
    else if( value & Right ) return QObject::tr( "Right" );
    else if( value & HorizontalCenter ) return QObject::tr( "Center" );
    else return QString();
}

//________________________________________________
QString Anchor::verticalAlignmentName( AlignmentFlags value )
{
    if( value & Top ) return QObject::tr( "Top" );
    else if( value & Bottom ) return QObject::tr( "Bottom" );
    else if( value & VerticalCenter ) return QObject::tr( "Center" );
    else return QString();
}
