#ifndef AnchorWidget_h
#define AnchorWidget_h

// $Id: AnchorWidget.h,v 1.10 2014/02/21 14:45:10 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Anchor.h"

#include <QComboBox>
#include <QWidget>

class GridLayout;

//__________________________________
class AnchorWidget: public QWidget
{

    Q_OBJECT

    public:

    //! constructor
    AnchorWidget( QWidget*, GridLayout* = 0 );

    //! anchor
    void setAnchor( Anchor::AlignmentFlags );

    //!@name accessors
    //@{

    //! layout
    GridLayout& gridLayout( void ) const
    { return *gridLayout_; }

    //! anchor
    Anchor::AlignmentFlags anchor( void ) const;

    //@}

    protected:

    //! vertical combobox
    QComboBox& _verticalComboBox( void ) const
    { return *verticalComboBox_; }

    //! horizontal combobox
    QComboBox& _horizontalComboBox( void ) const
    { return *horizontalComboBox_; }

    private:

    //! layout
    GridLayout* gridLayout_;

    //! vertical combobox
    QComboBox* verticalComboBox_;

    //! horizontal combobox
    QComboBox* horizontalComboBox_;

};

#endif
